/*
 * Class CONTAINER [INTEGER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_584 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_584 [] = {0xFF01,237,583,176,0xFFFF};
static const EIF_TYPE_INDEX egt_2_584 [] = {0xFF01,583,176,0xFFFF};
static const EIF_TYPE_INDEX egt_3_584 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_584 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_584 [] = {0xFF01,583,176,0xFFFF};
static const EIF_TYPE_INDEX egt_6_584 [] = {0xFF01,583,176,0xFFFF};
static const EIF_TYPE_INDEX egt_7_584 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_584 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_584 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_584 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_584 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_584 [] = {583,176,0xFFFF};
static const EIF_TYPE_INDEX egt_13_584 [] = {0xFF01,583,176,0xFFFF};
static const EIF_TYPE_INDEX egt_14_584 [] = {0xFF01,584,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_584 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_584[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_584), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_584), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_584), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_584), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_584), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_584), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_584), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_584), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_584), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_584), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_584), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_584), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_584), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_584), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1890, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1891, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1892, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1893, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1894, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_584), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_584), -1, 0xFFFFFFFF},
};
void Init584(void)
{
	IDSC(desc_584, 0, 583);
	IDSC(desc_584 + 1, 1, 583);
	IDSC(desc_584 + 32, 77, 583);
}


#ifdef __cplusplus
}
#endif
